Bug 42373 - Radeon HD 6450 (NI CAICOS) screen corruption on boot
Summary: Radeon HD 6450 (NI CAICOS) screen corruption on boot
Status: REOPENED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Radeon (show other bugs)
Version: unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on: 40935
Blocks:
  Show dependency treegraph
 
Reported: 2011-10-29 09:03 UTC by Kunal
Modified: 2014-09-26 04:24 UTC (History)
2 users (show)

See Also:
i915 platform:
i915 features:


Attachments
dmesg log (102.08 KB, text/x-log)
2011-10-29 09:03 UTC, Kunal
no flags Details
lspci -vvnn output (42.92 KB, text/plain)
2011-10-29 09:05 UTC, Kunal
no flags Details
Xorg.log when it booted up fine (48.83 KB, text/x-log)
2011-10-29 09:05 UTC, Kunal
no flags Details
new dmesg.log with kernel 3.1.0-2.3 (90.07 KB, text/x-log)
2011-11-06 02:00 UTC, Kunal
no flags Details
dmesg output from 3.1.0-2.3 taken on 2011-11-07 (68.93 KB, text/x-log)
2011-11-06 20:29 UTC, Kunal
no flags Details
dmesg log after pm-resume attempt (121.68 KB, text/x-log)
2011-11-07 10:09 UTC, Kunal
no flags Details
dmesg log with "amd_iommu=off iommu=off" options added to cmdline (74.10 KB, text/x-log)
2011-11-10 09:38 UTC, Kunal
no flags Details
Verbose debug to help pin point issue (1.76 KB, patch)
2011-11-11 16:13 UTC, Jerome Glisse
no flags Details | Splinter Review
Fixup mc programing (11.80 KB, patch)
2012-07-26 23:26 UTC, Jerome Glisse
no flags Details | Splinter Review
dmesg output as of 15th Aug., 2012. (112.64 KB, text/x-log)
2012-08-15 15:43 UTC, Kunal
no flags Details
dmesg output as of 17th Aug., 2012. (67.16 KB, text/plain)
2012-08-17 18:11 UTC, Kunal
no flags Details
xorg log as of 17th Aug, 2012 (51.08 KB, text/plain)
2012-08-17 18:11 UTC, Kunal
no flags Details
dmesg output as of 11th Nov., 2012. (64.69 KB, text/plain)
2012-11-12 06:38 UTC, Kunal
no flags Details
xorg log as of 11th Nov, 2012 (51.84 KB, text/plain)
2012-11-12 06:39 UTC, Kunal
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kunal 2011-10-29 09:03:58 UTC
Created attachment 52891 [details]
dmesg log

Bought a new Radeon HD 6450 for the new desktop I was building using PhenomII X6 1075T.

Installed Kubuntu Oneiric (11.10) amd64.
As soon as any FB client (e.g. plymouth splash screen) starts accessing the card after switching to KMS, the screen image gets totally corrupted.

Even Xorg/KDM fail to show anything useful.
I can only reset the machine using the power button soft-off.
Three-finger-salute also doesn't work.

However, it does work in about 1 out of 10 times - if somehow the apps trying to use FB device can be killed while the radeon driver is trying to work on the chip.

If KMS is disabled, the machine boots up, but Xorg fails to start saying "KMS is needed for CAICOS".

The screenshots are available at:
a. KMS with plymouth splash: http://img1.UploadScreenshot.com/images/main/10/30100130871.jpg
b. KMS without plymouth splash (shows init msgs with bluish tinge in the background): http://img1.UploadScreenshot.com/images/main/10/30100182712.jpg
c. KMS + Xorg lockup: http://img1.UploadScreenshot.com/images/main/10/30100211337.jpg
d. KMS + Xorg successful start: http://img1.UploadScreenshot.com/images/main/10/30100232928.jpg

I believe this is the same as bug #40935 - however, I haven't been able to boot into the system to test suspend/resume yet.

Finally, I used an old nVidia GeForce 7100 GS  on the same system that I had lying around as a workaround.
Comment 1 Kunal 2011-10-29 09:05:02 UTC
Created attachment 52892 [details]
lspci -vvnn output
Comment 2 Kunal 2011-10-29 09:05:45 UTC
Created attachment 52893 [details]
Xorg.log when it booted up fine
Comment 3 Alex Deucher 2011-10-30 12:13:22 UTC
Should be fixed with this patch:
http://cgit.freedesktop.org/~airlied/linux/commit/?h=drm-fixes&id=12d5180bd7e683a4ae80830b82ba67e7b7fac7b2

*** This bug has been marked as a duplicate of bug 40103 ***
Comment 4 Kunal 2011-11-06 01:59:44 UTC
(In reply to comment #3)
> Should be fixed with this patch:
> http://cgit.freedesktop.org/~airlied/linux/commit/?h=drm-fixes&id=12d5180bd7e683a4ae80830b82ba67e7b7fac7b2
> 
> *** This bug has been marked as a duplicate of bug 40103 ***

No, it doesn't solve the screen corruption at both boot time as well as while starting Xorg.

I installed new kernel from Ubuntu's builds - so now I'm running 3.1.0-2.3 - the current HEAD of
http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-precise.git;a=summary

This is rebased to v3.1 from Linus' tree.

The ubuntu-precise tree already has the commit you mentioned:
http://kernel.ubuntu.com/git?p=ubuntu/ubuntu-precise.git;a=commit;h=12d5180bd7e683a4ae80830b82ba67e7b7fac7b2

The severity of lockups seems to have reduced - however, I haven't tested it thoroughly yet. It still locked up while starting Xorg/KDM, but I could at least switch to tty1 and stop KDM. I started KDM after a while and it started properly. Also, dmesg didn't show any more "GPU lockup" messages after KDM started properly.

Is it possible to load radeon.ko with some debug setting enabled? so that it can dump more verbose messages - if that helps you.
"modinfo radeon" doesn't show any "debug..." parameter that can be used.

Not uploading new screenshots since there are no changes - (b) and (d) from earlier screenshots is what I got when booting into the new kernel.

Attaching the new dmesg after this comment.
Comment 5 Kunal 2011-11-06 02:00:43 UTC
Created attachment 53209 [details]
new dmesg.log with kernel 3.1.0-2.3
Comment 6 Kunal 2011-11-06 20:28:26 UTC
Noticed these new messages in dmesg output:
[   15.828387] AMD-Vi: Event logged [IO_PAGE_FAULT device=01:00.0 domain=0x0016 address=0x0000000e7ffff000 flags=0x0010]
[   15.828394] AMD-Vi: Event logged [IO_PAGE_FAULT device=01:00.0 domain=0x0016 address=0x0000000e7ffff080 flags=0x0010]
[   15.828397] AMD-Vi: Event logged [IO_PAGE_FAULT device=01:00.0 domain=0x0016 address=0x0000000e7ffff040 flags=0x0010]
[   15.828399] AMD-Vi: Event logged [IO_PAGE_FAULT device=01:00.0 domain=0x0016 address=0x0000000e7ffff0c0 flags=0x0010]
[   15.828401] AMD-Vi: Event logged [IO_PAGE_FAULT device=01:00.0 domain=0x0016 address=0x0000000e7ffff100 flags=0x0010]
[   15.828404] AMD-Vi: Event logged [IO_PAGE_FAULT device=01:00.0 domain=0x0016 address=0x0000000e7ffff140 flags=0x0010]
[   15.828406] AMD-Vi: Event logged [IO_PAGE_FAULT device=01:00.0 domain=0x0016 address=0x0000000e7ffff180 flags=0x0010]
[   15.828408] AMD-Vi: Event logged [IO_PAGE_FAULT device=01:00.0 domain=0x0016 address=0x0000000e7ffff1c0 flags=0x0010]
[   15.828410] AMD-Vi: Event logged [IO_PAGE_FAULT device=01:00.0 domain=0x0016 address=0x0000000e7ffff200 flags=0x0010]
[   15.828412] AMD-Vi: Event logged [IO_PAGE_FAULT device=01:00.0 domain=0x0016 address=0x0000000e7ffff240 flags=0x0010]
[   15.828414] AMD-Vi: Event logged [IO_PAGE_FAULT device=01:00.0 domain=0x0016 address=0x0000000e7ffff280 flags=0x0010]
[   15.828416] AMD-Vi: Event logged [IO_PAGE_FAULT device=01:00.0 domain=0x0016 address=0x0000000e7ffff2c0 flags=0x0010]
[   15.828418] AMD-Vi: Event logged [IO_PAGE_FAULT device=01:00.0 domain=0x0016 address=0x0000000e7ffff300 flags=0x0010]
[   15.828421] AMD-Vi: Event logged [IO_PAGE_FAULT device=01:00.0 domain=0x0016 address=0x0000000e7ffff480 flags=0x0010]
[   15.828423] AMD-Vi: Event logged [IO_PAGE_FAULT device=01:00.0 domain=0x0016 address=0x0000000e7ffff340 flags=0x0010]
[   15.828425] AMD-Vi: Event logged [IO_PAGE_FAULT device=01:00.0 domain=0x0016 address=0x0000000e7ffff4c0 flags=0x0010]
[   15.828427] AMD-Vi: Event logged [IO_PAGE_FAULT device=01:00.0 domain=0x0016 address=0x0000000e7ffff380 flags=0x0010]
[   15.828429] AMD-Vi: Event logged [IO_PAGE_FAULT device=01:00.0 domain=0x0016 address=0x0000000e7ffff500 flags=0x0010]
[   15.828431] AMD-Vi: Event logged [IO_PAGE_FAULT device=01:00.0 domain=0x0016 address=0x0000000e7ffff3c0 flags=0x0010]
[   15.828433] AMD-Vi: Event logged [IO_PAGE_FAULT device=01:00.0 domain=0x0016 address=0x0000000e7ffff540 flags=0x0010]
[   15.828435] AMD-Vi: Event logged [IO_PAGE_FAULT device=01:00.0 domain=0x0016 address=0x0000000e7ffff400 flags=0x0010]
[   15.828438] AMD-Vi: Event logged [IO_PAGE_FAULT device=01:00.0 domain=0x0016 address=0x0000000e7ffff580 flags=0x0010]
[   15.828440] AMD-Vi: Event logged [IO_PAGE_FAULT device=01:00.0 domain=0x0016 address=0x0000000e7ffff440 flags=0x0010]
[   15.828442] AMD-Vi: Event logged [IO_PAGE_FAULT device=01:00.0 domain=0x0016 address=0x0000000e7ffff5c0 flags=0x0010]

Matching the "device=..." from above messages with output from lspci shows that these are from radeon driver.

"lspci -vvnn | grep 01:00.0" output:
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc NI Caicos [AMD RADEON HD 6450] [1002:6779] (prog-if 00 [VGA controller])

I don't know much about how IOMMU works - hence thought I'd just post it in the bug report if it helps you in any way.

Attaching the full dmesg log after this comment.
Comment 7 Kunal 2011-11-06 20:29:09 UTC
Created attachment 53225 [details]
dmesg output from 3.1.0-2.3 taken on 2011-11-07
Comment 8 Jerome Glisse 2011-11-07 07:29:29 UTC
Are you doing this under a virtual box ? If so it's not supported
Comment 9 Kunal 2011-11-07 10:06:41 UTC
(In reply to comment #8)
> Are you doing this under a virtual box ? If so it's not supported

No - this is my bare-metal machine booting.
I use VirtualBox to boot into a server version of Ubuntu where I do my development work.

Besides, I thought VirtualBox emulated its own vga card - why would you see the radeon card inside a virtual machine?
Comment 10 Kunal 2011-11-07 10:09:33 UTC
Created attachment 53253 [details]
dmesg log after pm-resume attempt

Trying to wake up from suspend-to-ram state also exhibits the same issue.
Moreover, lots of additional messages dumped in dmesg.
Attached the dmesg output here.
Comment 11 Kunal 2011-11-07 10:10:30 UTC
(In reply to comment #9)
> (In reply to comment #8)
> > Are you doing this under a virtual box ? If so it's not supported
> 
> No - this is my bare-metal machine booting.
> I use VirtualBox to boot into a server version of Ubuntu where I do my
> development work.
> 
> Besides, I thought VirtualBox emulated its own vga card - why would you see the
> radeon card inside a virtual machine?

BTW, the main issue (of screen corruption) has been happening since even before I installed virtualbox.
Comment 12 Jerome Glisse 2011-11-07 10:53:17 UTC
Does booting with following kernel options help
amd_iommu=off iommu=off
Comment 13 Kunal 2011-11-10 09:38:31 UTC
Created attachment 53375 [details]
dmesg log with "amd_iommu=off iommu=off" options added to cmdline

(In reply to comment #12)
> Does booting with following kernel options help
> amd_iommu=off iommu=off

No, it doesn't help in any way.
Attaching dmesg log.
Comment 14 Jerome Glisse 2011-11-11 16:13:51 UTC
Created attachment 53428 [details] [review]
Verbose debug to help pin point issue

Can you build a kernel with attached patch and boot with iommu=off and attach dmesg
Comment 15 Reartes Guillermo 2012-06-16 14:28:55 UTC
Regarding: 

AMD-Vi: Event logged [IO_PAGE_FAULT device=01:00.0 domain=0x0016 address=0x0000000f002e9000 flags=0x0010]

(RH BZ: 827123)

I do get those from time to time with CAICOS, with no apparent or yet traceable consequences.

01:00.0 VGA compatible controller [0300]: ATI Technologies Inc NI Caicos [AMD RADEON HD 6450] [1002:6779]

And it happens on the hosts, just to be sure. I do not use virtualbox on this machine, just KVM.
Comment 16 Jerome Glisse 2012-07-26 23:26:33 UTC
Created attachment 64759 [details] [review]
Fixup mc programing

This patch should fix your issue.
Comment 17 Alex Deucher 2012-08-04 13:26:36 UTC
*** Bug 43655 has been marked as a duplicate of this bug. ***
Comment 18 Kunal 2012-08-04 13:52:23 UTC
(In reply to comment #16)
> Created attachment 64759 [details] [review] [review]
> Fixup mc programing
> 
> This patch should fix your issue.

Thanks for the patch. Will test it over this weekend (4th - 5th Aug.) and post back.
Comment 19 Alexandre Demers 2012-08-04 17:47:40 UTC
For info from bug 43655, it fixes the bug on Cayman (XFX 6950).
Comment 20 Kunal 2012-08-08 18:04:18 UTC
(In reply to comment #18)
> (In reply to comment #16)
> > Created attachment 64759 [details] [review] [review] [review]
> > Fixup mc programing
> > 
> > This patch should fix your issue.
> 
> Thanks for the patch. Will test it over this weekend (4th - 5th Aug.) and post
> back.

Damn, my motherboard died :(
Waiting for a replacement.
Comment 21 Kunal 2012-08-15 15:41:05 UTC
Unfortunately, this patch on its own doesn't fix the problem for me. :(

I also noticed a new commit with reference to this bug in Linus' tree when I synced my git tree:
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=commit;h=81ee8fb6b52ec69eeed37fe7943446af1dccecc5

So, I cherry-picked this patch on top of commit 0937d042b97a9540b5488ab172aa14b53e80014b of Ubuntu's quantal tree from:
git://kernel.ubuntu.com/ubuntu/ubuntu-quantal.git

and built the new kernel from it on 15th Aug., 2012.

And it still doesn't solve the problem for me :(
The behaviour remains the same.

Anything more that I can try?

I tried to apply this patch on top of commit 81ee8fb6b52ec69eeed37fe7943446af1dccecc5, but it fails to apply at all.

I'm now starting to wonder if it's really a driver issue or whether I have gotten a bad card. But, the fact that I can switch to tty (after repeatedly hitting ctrl+alt+f1 for about 30-40 times in fast successions) and then restart kdm without any artifacts suggests that the card is fine.
Could it be some race condition being triggered?

Attaching the dmesg output.
Comment 22 Kunal 2012-08-15 15:43:01 UTC
Created attachment 65604 [details]
dmesg output as of 15th Aug., 2012.

dmesg output with new kernel with commit 81ee8fb6b52ec69eeed37fe7943446af1dccecc5.
Lots of GPU softresets at the bottom of the log.
Comment 23 Alexandre Demers 2012-08-15 21:13:54 UTC
If it doesn't fix the bug for Kunal, does it means bug 43655 is not a duplicate of this one? If so, both bugs should be unlinked and attachment 64759 [details] [review] should be assigned as a fix for bug 43655 and commited as is since it does fix a bug on my side.
Comment 24 Erik Hardesty 2012-08-16 21:44:57 UTC
I am also experiencing complete display corruption with KMS and my Radeon 6450 HD.
Building an updated kernel with the following commit did not help: http://git.kernel.org/?p=linux/kernel/git/torvalds/linux.git;a=commit;h=81ee8fb6b52ec69eeed37fe7943446af1dccecc5
Comment 25 Alex Deucher 2012-08-16 21:59:05 UTC
You might try the 5 patches starting with this one:
http://lists.freedesktop.org/archives/dri-devel/2012-August/026498.html
Comment 26 Kunal 2012-08-17 13:54:43 UTC
(In reply to comment #25)
> You might try the 5 patches starting with this one:
> http://lists.freedesktop.org/archives/dri-devel/2012-August/026498.html

On top of previous patche(s) (by Jerome)? or as separate set?
Comment 27 Alex Deucher 2012-08-17 14:21:26 UTC
(In reply to comment #26)
> (In reply to comment #25)
> > You might try the 5 patches starting with this one:
> > http://lists.freedesktop.org/archives/dri-devel/2012-August/026498.html
> 
> On top of previous patche(s) (by Jerome)? or as separate set?

They apply on top of his patches.
Comment 28 Kunal 2012-08-17 18:10:08 UTC
(In reply to comment #27)
> (In reply to comment #26)
> > (In reply to comment #25)
> > > You might try the 5 patches starting with this one:
> > > http://lists.freedesktop.org/archives/dri-devel/2012-August/026498.html
> > 
> > On top of previous patche(s) (by Jerome)? or as separate set?
> 
> They apply on top of his patches.

No luck :(
It's still the same after applying those patches and rebuilding the kernel.

Attaching the xorg log and dmesg log after this.
Comment 29 Kunal 2012-08-17 18:11:08 UTC
Created attachment 65703 [details]
dmesg output as of 17th Aug., 2012.

dmesg output with the new kernel.
Comment 30 Kunal 2012-08-17 18:11:43 UTC
Created attachment 65704 [details]
xorg log as of 17th Aug, 2012

xorg log for the same.
Comment 31 Alexandre Demers 2012-08-20 03:01:28 UTC
(In reply to comment #16)
> Created attachment 64759 [details] [review] [review]
> Fixup mc programing
> 
> This patch should fix your issue.

This patch doesn't apply correctly on kernel 3.6-rc2. Would it be possible to rebase or, even better, push it to kernel since it fixes problem with CAYMAN (bug 43655, which should not be considered as a duplicate (similar symptoms, different fix))
Comment 33 Kunal 2012-08-23 04:58:33 UTC
(In reply to comment #28)
> (In reply to comment #27)
> > (In reply to comment #26)
> > > (In reply to comment #25)
> > > > You might try the 5 patches starting with this one:
> > > > http://lists.freedesktop.org/archives/dri-devel/2012-August/026498.html
> > > 
> > > On top of previous patche(s) (by Jerome)? or as separate set?
> > 
> > They apply on top of his patches.
> 
> No luck :(
> It's still the same after applying those patches and rebuilding the kernel.
> 
> Attaching the xorg log and dmesg log after this.

Anything more that I can try?
Or something wrong that I did?

Do these patches need any additional bits from 3.6 kernels?
Asking since the Ubuntu Quantal series is based on 3.5 while these patches are all fairly new.
Comment 34 Kunal 2012-09-17 04:29:16 UTC
Any update on this bug?
Anything more that I can try?

Haven't seen any patches related to this bug going into Linus' tree as well.

Thanks,
Kunal
Comment 35 Jerome Glisse 2012-10-18 14:48:31 UTC
Did you tested 3.7 kernel ? Bunch of patch went in some might help your case.
Comment 36 Kunal 2012-10-19 14:30:56 UTC
(In reply to comment #35)
> Did you tested 3.7 kernel ? Bunch of patch went in some might help your case.

No, not yet.
Will build and test a 3.7-rc1 based kernel and report back.

Thanks,
Kunal
Comment 37 Kunal 2012-11-12 06:37:02 UTC
(In reply to comment #36)
> (In reply to comment #35)
> > Did you tested 3.7 kernel ? Bunch of patch went in some might help your case.
> 
> No, not yet.
> Will build and test a 3.7-rc1 based kernel and report back.
> 
> Thanks,
> Kunal

OK, didn't get time to try 3.7-rc1. So, instead, installed 3.7-rc5 based Ubuntu kernel from:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.7-rc5-raring/

(specifically, following files:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.7-rc5-raring/linux-headers-3.7.0-030700rc5-generic_3.7.0-030700rc5.201211110835_amd64.deb

http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.7-rc5-raring/linux-headers-3.7.0-030700rc5_3.7.0-030700rc5.201211110835_all.deb

http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.7-rc5-raring/linux-image-3.7.0-030700rc5-generic_3.7.0-030700rc5.201211110835_amd64.deb

http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.7-rc5-raring/linux-image-extra-3.7.0-030700rc5-generic_3.7.0-030700rc5.201211110835_amd64.deb
)

With this, situation is no better. In fact, with this kernel, I cannot even switch to a tty to restart X - which works happily on my current 3.2.0-32-generic
(package: "linux-image-3.2.0-32-generic" version: "3.2.0-32.51").

There is no significant message logged in the syslog with 3.7-rc5 which can point to a problem. Attaching the dmesg output and Xorg log anyways.

Thanks,
Kunal
Comment 38 Kunal 2012-11-12 06:38:42 UTC
Created attachment 69926 [details]
dmesg output as of 11th Nov., 2012.

dmesg output from 3.7-rc5.
Comment 39 Kunal 2012-11-12 06:39:34 UTC
Created attachment 69927 [details]
xorg log as of 11th Nov, 2012

xorg log for 3.7-rc5.
Comment 40 Kunal 2012-11-12 07:05:00 UTC
(In reply to comment #37)
> (In reply to comment #36)
> > (In reply to comment #35)
> > > Did you tested 3.7 kernel ? Bunch of patch went in some might help your case.
> > 
> > No, not yet.
> > Will build and test a 3.7-rc1 based kernel and report back.
> > 
> > Thanks,
> > Kunal
> 
> OK, didn't get time to try 3.7-rc1. So, instead, installed 3.7-rc5 based
> Ubuntu kernel from:
> http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.7-rc5-raring/
> 
> (specifically, following files:
> http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.7-rc5-raring/linux-headers-
> 3.7.0-030700rc5-generic_3.7.0-030700rc5.201211110835_amd64.deb
> 
> http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.7-rc5-raring/linux-headers-
> 3.7.0-030700rc5_3.7.0-030700rc5.201211110835_all.deb
> 
> http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.7-rc5-raring/linux-image-3.
> 7.0-030700rc5-generic_3.7.0-030700rc5.201211110835_amd64.deb
> 
> http://kernel.ubuntu.com/~kernel-ppa/mainline/v3.7-rc5-raring/linux-image-
> extra-3.7.0-030700rc5-generic_3.7.0-030700rc5.201211110835_amd64.deb
> )
> 
> With this, situation is no better. In fact, with this kernel, I cannot even
> switch to a tty to restart X - which works happily on my current
> 3.2.0-32-generic
> (package: "linux-image-3.2.0-32-generic" version: "3.2.0-32.51").
> 
> There is no significant message logged in the syslog with 3.7-rc5 which can
> point to a problem. Attaching the dmesg output and Xorg log anyways.
> 
> Thanks,
> Kunal

One more point to note:
Whenever I try to reboot from 3.7-rc5 into 3.2.0-32, switch-to-tty + restart-x routine doesn't work even with the previously working setup. 
It exhibits the same issue as 3.7-rc5.

Any clue why so?
Something to do with VRAM registers?
Just guessing..

Thanks,
Kunal
Comment 41 Kunal 2012-12-08 06:53:39 UTC
Hi,

Any update on this bug?
As I mentioned in my previous comment c#37, v3.7-rc5 has been no better.

Anything more that I can try?

Any clue if and where can I find the documentation for the chip? (RV730, IIRC)
Just so that I can learn about the code.

Thanks,
Kunal
Comment 42 Alexandre Demers 2013-03-28 02:45:37 UTC
Was attachment 64759 [details] [review] ever applied to kernel's git? While I don't know if the current bug is still happening for radeon HD 6450 cards, it was fixing bug 43655  (which was considered as a duplicate, but it was not as explained in the last comment of that bug because it works for HD 6950).

If not, please let me know because I'm still experiencing bug 43655 with kernel 3.9.0-rc4 and attachment 64759 [details] [review] can't be applied on kernel's current git version (was applying on 3.7, not sure about 3.8, definitively not on 3.9).
Comment 43 Jonathan Hamilton 2013-03-28 19:14:13 UTC
I do not know if this is relevant, but I recently purchased a radeon 6450 and had similar issues - corruption when KMS is started and lockups when X starts. I did not get these issues in fglrx or the windows drivers.

I then happened to notice that the memory clock settings for the 'boot' power profile were incorrect, and were significantly higher than the card should support. The high & low power states appeared to be correct. Changing the boot values using the Radeon Bios editor (http://www.techpowerup.com/rbe/) fixed these problems for me.
Comment 44 Alexandre Demers 2013-03-28 23:40:54 UTC
(In reply to comment #43)
> I do not know if this is relevant, but I recently purchased a radeon 6450
> and had similar issues - corruption when KMS is started and lockups when X
> starts. I did not get these issues in fglrx or the windows drivers.
> 
> I then happened to notice that the memory clock settings for the 'boot'
> power profile were incorrect, and were significantly higher than the card
> should support. The high & low power states appeared to be correct. Changing
> the boot values using the Radeon Bios editor
> (http://www.techpowerup.com/rbe/) fixed these problems for me.

While this is not related to the proposed attachment, it is quite interesting to know you were able to fix your problem by tweaking your card's bios. Maybe Kunal could tell us more about some similar observations.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.